Delete a Blueprint Step Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
DELETE /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps/{blueprintStep_uuid}

Path parameters

  • automationBlueprint_uuid string Required

    The UUID of the automation blueprint.

  • blueprintStep_uuid string Required

    The UUID of the blueprint step.

Responses

  • 204 application/json
    Hide response attributes Show response attributes object
    • uuid string

      Uuid of the Blueprint Step

    • created_at string

      Datetime the Blueprint Step was created

    • updated string

      Datetime the Blueprint Step was updated

    • name string

      Description of the action that the automation step is taking

    • type string

      Type of action to take on this step

    • configuration object

      The configuration of this step

      Hide configuration attribute Show configuration attribute object
      • params object
        Hide params attribute Show params attribute object
        • account_uuid object
          Hide account_uuid attributes Show account_uuid attributes object
          • type string
          • value string
    • condition_state boolean

      If the step is a type of condition, this will be the branch that the step follows on.

    • parent_step_uuid string

      Uuid of the parent step, can be null if this is the root step

DELETE /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps/{blueprintStep_uuid}
curl \
 --request DELETE 'https://api.plannrcrm.com/api/v1/automation-blueprints/dcf0-484e-a0c5-08590fe89a84-f6aa1670/blueprint-steps/aaf0-495f-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (204)
{
  "uuid": "a90ab1a5-bb89-4c0a-831d-3fd5cf43eeb1",
  "created_at": "2026-06-09T14:10:14+01:00",
  "updated": "2026-06-09T14:10:14+01:00",
  "name": "create a new client",
  "type": "client.create",
  "configuration": {
    "params": {
      "account_uuid": {
        "type": "ref",
        "value": "trigger.account.uuid"
      }
    }
  },
  "condition_state": false,
  "parent_step_uuid": "717faa36-3cca-4e51-b38f-e31a74346c32"
}